解决 idea 使用过程中让你觉得不爽的一些问题

解决 idea 使用过程中让你觉得不爽的一些问题

如果 idea 的版本比较老的话看到的是这样的

解决 idea 使用过程中让你觉得不爽的一些问题

然后再修改 Maven 配置就可以了

解决 idea 使用过程中让你觉得不爽的一些问题

2. 在创建或者导入 Maven 项目后,编写代码的时候总是提示不支持 Java8,编译也无法通过

我们查看 settings -> java compiler 发现编译版本是 1.8 之前的版本

解决方案:在 pom.xml 中加入 JDK 版本

<build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                </configuration>
            </plugin>
        </plugins>
    </build>
复制代码

原文 

https://juejin.im/post/5f151d69f265da230a1252fd

本站部分文章源于互联网,本着传播知识、有益学习和研究的目的进行的转载,为网友免费提供。如有著作权人或出版方提出异议,本站将立即删除。如果您对文章转载有任何疑问请告之我们,以便我们及时纠正。

PS:推荐一个微信公众号: askHarries 或者qq群:474807195,里面会分享一些资深架构师录制的视频录像:有Spring,MyBatis,Netty源码分析,高并发、高性能、分布式、微服务架构的原理,JVM性能优化这些成为架构师必备的知识体系。还能领取免费的学习资源,目前受益良多

转载请注明原文出处:Harries Blog™ » 解决 idea 使用过程中让你觉得不爽的一些问题

赞 (0)
分享到:更多 ()

评论 0

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址